<script setup lang="ts">
    import { checkUpgrade } from '@/utils/upgrade'

    // import * as Push from '@/utils/push'

    onLaunch(() => {
        console.log('App Launch')

        // 版本更新检查
        checkUpgrade()

        // 清除消息角标
        // Push.setBadge(0)

        // 监听在线消息
        // Push.listen()
    })

    onShow(() => {
        console.log('App Show')
    })

    onHide(() => {
        console.log('App Hide')
    })

    onError((err) => {
        // Message.toast(`App Error: ${err}`)
        console.error('App Error:', err)
    })

    onUnhandledRejection((err) => {
        Message.toast(`App UnhandledRejection: ${err}`)
    })
</script>

<style lang="less">
    /* common css */
    /* #ifndef APP-PLUS-NVUE */
    /* uni.css - 通用组件、模板样式库，可以当作一套ui库应用 */
    @import url('./common/uni.css');
    /* #endif */

    /* 每个页面公共css */
    @import url('./common/fui-app.css');
    @import url('./components/FirstUI/fui-theme/fui-theme.css');

    // 全局样式
    @import url('./common/public.less');

    /** #ifdef H5 */
    uni-page-body,
    page {
        height: 100%;
    }
    /** #endif */
</style>
